Skip to main content
PUT
/
api
/
v1
/
channels
/
twilio
/
{channel_id}
/
numbers
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";

const syllableSDK = new SyllableSDK({
  apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});

async function run() {
  const result = await syllableSDK.channels.twilio.numbers.update({
    channelId: 815949,
    twilioNumberUpdateRequest: {
      friendlyName: "Support Line",
      phoneSid: "PN123",
    },
  });

  console.log(result);
}

run();
{
  "phone_number": "<string>"
}

Authorizations

Syllable-API-Key
string
header
required

Path Parameters

channel_id
integer
required

Body

application/json

Request model for updating a Twilio number and associating it with a channel.

friendly_name
string
required

Friendly name for the Twilio number

Example:

"Support Line"

phone_sid
string
required

Twilio number SID

Example:

"PN123"

Response

Successful Response

Response model for updating a Twilio number and associating it with a channel.

phone_number
string
required

The updated Twilio phone number

Example:

"+18042221111"